#include "median_filter.h"

static uint8_t buffer[FILTER_LENGTH];

void filterWrite(uint8_t value) {
	static uint8_t writep = 0;

	buffer[writep] = value;
	writep = (writep + 1) % FILTER_LENGTH;
}

uint8_t filterGetValue(void) {
	uint16_t sum = 0;

	for (uint8_t i=0; i<FILTER_LENGTH; i++) {
		sum += buffer[i];
	}

	return (uint8_t)(sum/FILTER_LENGTH);
}