#ifndef TIMER_H
#define TIMER_H

#include <avr/io.h>

#define TIMER_16MS 				timer16ms
#define TIMER_16MS_CALLBACK 	void TIMER_16MS(void)
#define TIMER_128MS 			timer128ms
#define TIMER_128MS_CALLBACK	void TIMER_128MS(void)
#define TIMER_1S 				timer1s
#define TIMER_1S_CALLBACK 		void TIMER_1S(void)

TIMER_16MS_CALLBACK;
TIMER_128MS_CALLBACK;
TIMER_1S_CALLBACK;
void timerInit(void);
uint32_t timerTime(void);
uint32_t timerTimeISR(void);

#endif
