#
# avr-gcc Makefile
#
# author:	Andreas Hagmann <ahagmann@ecs.tuwien.ac.at>
# date:		20.01.2012
#

OBJS := $(addprefix $(BUILD_DIR)/, $(addsuffix .o, $(CFILE_NAMES)))

$(BUILD_DIR)/%.o: %.c $(ROOT_MAKEFILE) | $(BUILD_DIR)  $(LIST_DIR)
	@echo build"\\t"$*.o
	@avr-gcc $(CC_FLAGS) -mmcu=$(MCU) -flto -MMD -Wa,-a=$(LIST_DIR)/$*.list $(addprefix -I, $(LIB_DIRS) $(SRC_DIR) $(LIB_HEADER)) $(addprefix -D, $(DEF)) -c -o $@ $<

$(OUT): $(OBJS) | $(BIN_DIR)
	@echo link "\\n\\t"$(notdir $(OBJS)) "\\n"to "\\t"$(notdir $(OUT))
	@avr-gcc $(OBJS) -mmcu=$(MCU) -flto $(LD_FLAGS) -o $(OUT)
