#ifndef UART_H
#define UART_H

#include <avr/io.h>
#include <stdio.h>
#include <avr/pgmspace.h>
#include <stdbool.h>

#ifndef BAUD
#define BAUD	115200UL
#endif

void uartInit(void);
bool uartPending(void);
uint8_t uartGet(void);
void uartSend(uint8_t c);

#endif
