#
# avr-gcc Makefile
#
# author:	Andreas Hagmann <ahagmann@ecs.tuwien.ac.at>
# date:		20.01.2012
#

$(OUT):	$(ROOT_MAKEFILE) $(CFILES) | $(BIN_DIR) $(BUILD_DIR)
	@echo compile "\\n\\t"$(notdir $(CFILES)) "\\n"to "\\t"$(notdir $(OUT))
	@avr-gcc $(CC_FLAGS) $(LD_FLAGS) -mmcu=$(MCU) -MMD -MF $(BUILD_DIR)/$(PROJ_NAME).d -flto -fwhole-program $(addprefix -I, $(LIB_DIRS) $(SRC_DIR) $(LIB_HEADER)) $(addprefix -D, $(DEF)) -o $(OUT) $(CFILES)
