
from PyQt4 import QtCore, QtGui
from PyQt4 import QtNetwork
import pickle

#QtCore.QCoreApplication.postEvent(self.receiver, event)
#    


class Event():
    BUTTON_1 = 1
    BUTTON_2 = 2
    BUTTON_3 = 3
    SNOOZE = 4
    DIAL = 5
    DIAL_BUTTON = 6

    def __init__(self, type, value=None):
        self.type = type
        self.value = value


class Input(QtCore.QObject):
	def __init__(self, receiver, parent=None):
		super().__init__(parent)
		
		self.receiver = receiver
		self.port = 3564

		self.groupAddress = QtNetwork.QHostAddress("127.0.0.1")        
		self.udpSocket = QtNetwork.QUdpSocket(self)
		self.udpSocket.bind(self.port, QtNetwork.QUdpSocket.ReuseAddressHint)
		self.udpSocket.joinMulticastGroup(self.groupAddress)
		self.udpSocket.readyRead.connect(self.receive)

	def receive(self):
		while self.udpSocket.hasPendingDatagrams():
			datagram, host, port = self.udpSocket.readDatagram(self.udpSocket.pendingDatagramSize())
			event = pickle.loads(datagram)
			print (str(event))
			event = QtGui.QKeyEvent(QtCore.QEvent.KeyPress, QtCore.Qt.Key_X, QtCore.Qt.KeyboardModifiers())
			receiver = self.receiver.focusWidget()
			if not receiver:
				receiver = self.receiver
			QtGui.QApplication.postEvent(receiver, event)