import sys
from PyQt4 import QtCore, QtGui
from main_widget import MainWindow
from alarm_control import AlarmControl
from datetime import datetime
#from message_pc import Message
from weather import WeatherThread

class StackUi(QtGui.QWidget):
	def __init__(self, parent=None):
		QtGui.QWidget.__init__(self, parent)
		self.ui = Ui_stack()
		self.ui.setupUi(self)


if __name__ == "__main__":
	app = QtGui.QApplication(sys.argv)
	gui = MainWindow()
	
	# start threads
	alarmControl = AlarmControl()

	weather = WeatherThread()
	weather.start()

	# connect
	alarmControl.minTick.connect(gui.updateClock)

	weather.setFcTemp.connect(gui.setFcTemp)
	weather.setFcRain.connect(gui.setFcRain)
	weather.setFcIcon.connect(gui.setFcIcon)

	weather.triggerUpdate()
	

	# start appliation
	gui.show()
	sys.exit(app.exec_())

