#ifndef MESSAGE
#define MESSAGE

#include <stdlib.h>
#include <inttypes.h>
#include <message_types.h>

#define MAX_MSG_LEN     8                  // max payload + checksum
#define MSG_BUFFER_SIZE (MAX_MSG_LEN)
#define START_CHAR      0xff

typedef enum {
    WAIT_START,
    WAIT_LEN,
    WAIT_TYPE,
    READ,
    WAIT_CHECKSUM,
} parse_state_t;

message_type_t messageParse(uint8_t c, const message_t **buffer);
message_t *messageGetSendBuffer(void);
void messageSend(message_type_t type, uint8_t len);

#endif
