#include <printf.h>

static int printfSendChar(char c, FILE *stream);

static FILE _stdout = FDEV_SETUP_STREAM(printfSendChar, NULL, _FDEV_SETUP_WRITE);

#include <util/setbaud.h>

void printfInit() {
    UBRR0L = UBRRL_VALUE;
    UBRR0H = UBRRH_VALUE;

	UCSR0A = (USE_2X<<U2X0);
	UCSR0C = (1<<UCSZ01) | (1<<UCSZ00);	// no parity, 8 data bits
	UCSR0B = (1<<TXEN0);

	stdout = &_stdout;
}

int printfSendChar(char c, FILE *stream) {
	while ((UCSR0A & (1<<UDRE0)) == 0);
	UDR0 = c;
	return 0;
}
